package cn.com.zyjblogs.chat.netty.factory;

import cn.com.zyjblogs.chat.netty.factory.content.MessageContent;
import cn.com.zyjblogs.chat.netty.factory.strategy.message.GeneralMessageHandler;
import cn.com.zyjblogs.chat.netty.factory.strategy.message.GroupMessageHandler;
import cn.com.zyjblogs.chat.netty.factory.strategy.message.MessageHandler;
import cn.com.zyjblogs.chat.netty.factory.strategy.message.SystemMessageHandler;
import cn.com.zyjblogs.chat.netty.po.Msg;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Component
public class MessageHandleFactory {

    @Resource
    private MessageHandler systemMessageHandler;

    @Resource
    private MessageHandler groupMessageHandler;

    @Resource
    private MessageHandler generalMessageHandler;

    @Bean("messageContent")
    public MessageContent<Integer, MessageHandler> getMessageContent(){
        Map<Integer,MessageHandler> map = new ConcurrentHashMap<>();
        map.put(Msg.Message.MessageType.System.getNumber(),systemMessageHandler);
        map.put(Msg.Message.MessageType.General.getNumber(),generalMessageHandler);
        map.put(Msg.Message.MessageType.Group.getNumber(),groupMessageHandler);
        return new MessageContent<>(map);
    }
}
