package cn.com.zyjblogs.chat.netty.factory.content;

import cn.com.zyjblogs.chat.common.ChatException;
import org.springframework.util.Assert;

import java.util.Map;
import java.util.Objects;
import java.util.concurrent.ConcurrentHashMap;

/**
 * 消息处理器内容
 * @param <K>
 * @param <V>
 */
public class MessageContent<K,V> {
    public final Map<K,V> messageHandleMap = new ConcurrentHashMap<>();

    /**
     * 容器初始化
     * @param messageHandleMap
     */
    public MessageContent(Map<K,V> messageHandleMap){
        this.messageHandleMap.putAll(messageHandleMap);
    }
    /**
     * 加在对于消息处理对象
     */
    public V loadStrategy(K k){
        V v = messageHandleMap.get(k);
        if (Objects.isNull(v)){
            throw new ChatException("策略工厂加在"+k+"对应策略失败");
        }
        return v;
    }
}
