package cn.com.zyjblogs.chat.netty.handler;

import cn.com.zyjblogs.chat.netty.channel.UserChannelContext;
import cn.com.zyjblogs.chat.netty.po.Msg;
import io.netty.channel.ChannelHandler;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;
import org.springframework.stereotype.Component;

@Component
@ChannelHandler.Sharable
public class ClientManageHandler extends SimpleChannelInboundHandler<Msg.DataContent> {
    @Override
    protected void channelRead0(ChannelHandlerContext ctx, Msg.DataContent dataContent) throws Exception {
        switch (dataContent.getDataType().getNumber()){
            case Msg.DataContent.DataType.CONNECTING_VALUE:
                //将channel加入到map中
                UserChannelContext.putUserCtx(dataContent.getFromUsername(),ctx.channel());
                break;
            case Msg.DataContent.DataType.CLOSING_VALUE:
                //将channel加入到map中
                UserChannelContext.removeUserCtx(dataContent.getFromUsername());
                break;
            case Msg.DataContent.DataType.KEEPALIVE_VALUE:
                break;
            case Msg.DataContent.DataType.SIGNED_VALUE:
                break;
            case Msg.DataContent.DataType.CHAT_VALUE:
                break;
            default:
                break;
        }

    }
}
