package cn.com.zyjblogs.chat.netty.listener;

import cn.com.zyjblogs.chat.netty.ChatServer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 监听Spring容器启动完成，完成后启动Netty服务器
 * @author Gjing
 **/
@Component
public class NettyStartListener implements ApplicationRunner {
    protected Logger logger = LoggerFactory.getLogger(NettyStartListener.class);
    @Resource
    private ChatServer socketServer;

    @Override
    public void run(ApplicationArguments args) {
        logger.info("netty server thread start");
        new Thread(socketServer).start();
    }
}
